+++
title = "HTTP API"
description = "Grafana HTTP API"
keywords = ["grafana", "http", "documentation", "api", "overview"]
aliases = ["/docs/grafana/latest/overview"]
weight = 170
+++

# HTTP API reference

The Grafana backend exposes an HTTP API, which is the same API that is used by the frontend to do everything from saving
dashboards, creating users, and updating data sources.

## HTTP APIs

- [Admin API]({{< relref "admin.md" >}})
- [Alerting Notification Channels API]({{< relref "alerting_notification_channels.md" >}})
- [Alerting API]({{< relref "alerting.md" >}})
- [Annotations API]({{< relref "annotations.md" >}})
- [Authentication API]({{< relref "auth.md" >}})
- [Dashboard API]({{< relref "dashboard.md" >}})
- [Dashboard Permissions API]({{< relref "dashboard_permissions.md" >}})
- [Dashboard Versions API]({{< relref "dashboard_versions.md" >}})
- [Data source API]({{< relref "data_source.md" >}})
- [Folder API]({{< relref "folder.md" >}})
- [Folder Permissions API]({{< relref "folder_permissions.md" >}})
- [Folder/Dashboard Search API]({{< relref "folder_dashboard_search.md" >}})
- [Library Element API]({{< relref "library_element.md" >}})
- [Organization API]({{< relref "org.md" >}})
- [Other API]({{< relref "other.md" >}})
- [Playlists API]({{< relref "playlist.md" >}})
- [Preferences API]({{< relref "preferences.md" >}})
- [Short URL API]({{< relref "short_url.md" >}})
- [Snapshot API]({{< relref "snapshot.md" >}})
- [Team API]({{< relref "team.md" >}})
- [User API]({{< relref "user.md" >}})

## Grafana Enterprise HTTP APIs

Grafana Enterprise includes all of the Grafana OSS APIs as well as those that follow:

- [Fine-grained access control API]({{< relref "access_control.md" >}})
- [Data source permissions API]({{< relref "datasource_permissions.md" >}})
- [External group sync API]({{< relref "external_group_sync.md" >}})
- [License API]({{< relref "licensing.md" >}})
- [Reporting API]({{< relref "reporting.md" >}})
